package com.gic.haoban.manage.web.qo.data.goodsanalysis;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GoodsAnalysisClerkDetailQO implements Serializable {

    /**
     * 排序字段
     */
    private Integer orderByFields;

    /**
     * 排序类型 1升序 2降序
     */
    private Integer orderByType;

    private String startDate;

    private String endDate;

    private Integer pageNum;

    private Integer pageSize;

    private String storeId;

    @JSONField(serialize = false)
    private String clerkId;

    private String enterpriseId;

    public Integer getPageNum() {
        return pageNum == null ? 1 : pageNum;
    }

    public Integer getPageSize() {
        return pageSize == null ? 10 : pageSize;
    }

    public Integer getOrderByFields() {
        //12转化金额
        return orderByFields == null ? 12 : orderByFields;
    }

    public Integer getOrderByType() {
        return orderByType == null ? 2 : orderByType;
    }
}
